Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.common.persistence
Class AbstractXmlSolutionImporter.XmlInputBuilder

    java.lang.Object
      org.optaplanner.examples.common.app.LoggingMain
          org.optaplanner.examples.common.persistence.AbstractSolutionImporter.InputBuilder
              org.optaplanner.examples.common.persistence.AbstractXmlSolutionImporter.XmlInputBuilder

Direct Known Subclasses:
  NurseRosteringImporter.NurseRosteringInputBuilder

Enclosing class:
  AbstractXmlSolutionImporter

    public abstract static class AbstractXmlSolutionImporter.XmlInputBuilder

extends AbstractSolutionImporter.InputBuilder

Field Summary
`protected org.jdom.Document` | `document`
`protected File` | `inputFile`

Fields inherited from class org.optaplanner.examples.common.app.LoggingMain
`logger`

Constructor Summary
`AbstractXmlSolutionImporter.XmlInputBuilder()`

Method Summary
`protected void` | `assertElementName(org.jdom.Element element, String name)`
`String` | `getInputId()`
`abstract Solution` | `readSolution()`
`void` | `setDocument(org.jdom.Document document)`
`void` | `setInputFile(File inputFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputFile

    protected File inputFile

### document

    protected org.jdom.Document document

Constructor Detail

### AbstractXmlSolutionImporter.XmlInputBuilder

    public AbstractXmlSolutionImporter.XmlInputBuilder()

Method Detail

### setInputFile

    public void setInputFile(File inputFile)

### setDocument

    public void setDocument(org.jdom.Document document)

### readSolution

    public abstract Solution readSolution()
                                   throws IOException,
                                          org.jdom.JDOMException

  Throws:
    `IOException`
    `org.jdom.JDOMException`

### getInputId

    public String getInputId()

### assertElementName

    protected void assertElementName(org.jdom.Element element,
                                     String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.